<?php

abstract class Common
{
    /**
     * Delete some non empty directory
     * @param $dir
     */
    public static function deleteDir($dir) : void {
        $it = new RecursiveDirectoryIterator($dir, RecursiveDirectoryIterator::SKIP_DOTS);
        $files = new RecursiveIteratorIterator($it,
            RecursiveIteratorIterator::CHILD_FIRST);
        foreach($files as $file) {
            if ($file->isDir()){
                rmdir($file->getRealPath());
            } else {
                unlink($file->getRealPath());
            }
        }
        rmdir($dir);
    }

    /**
     * Display text
     * @param int $level
     * @param string $string
     */
    public static function _log(int $level, string $string) : void {
        $string = match ($level) {
            L_ERROR => Colors::getColoredString($string, 'white', 'red'),
            L_WARNING => Colors::getColoredString($string, 'black', 'yellow'),
            L_INFO => Colors::getColoredString($string, 'white', 'blue'),
            L_GOOD => Colors::getColoredString($string, 'white', 'green'),
            L_DEFAULT => Colors::getColoredString($string, 'white', 'black'),
        };
        echo $string . PHP_EOL;
    }
}