<?php


use exceptions\ManifestCheckException;
use manifest\ApotheeManifest;

abstract class ManifestSingleton
{
    private static ?manifest\ApotheeManifest $_manifest = null;

    /**
     * @throws ManifestCheckException
     */
    private static function init() : void {
        try {
            $manifest_path = VariablesSingleton::getVar('path') . DIRECTORY_SEPARATOR . 'apothee.yaml';
        } catch (\Exception) {
            $manifest_path = realpath("apothee.yaml");
        }

        self::$_manifest = new manifest\ApotheeManifest($manifest_path);
    }

    /**
     * @return ApotheeManifest
     * @throws ManifestCheckException
     */
    public static function getInstance() : manifest\ApotheeManifest {
        if (self::$_manifest === null) {
            self::init();
        }
        return self::$_manifest;
    }
}