<?php


use exceptions\VariableNotDefinedException;

abstract class VariablesSingleton {

    protected static array $vars = [];

    /**
     * @param $key
     * @return mixed
     * @throws VariableNotDefinedException
     */
    public static function getVar($key) {
        if (!array_key_exists($key, self::$vars)) {
            throw new VariableNotDefinedException($key);
        }
        return self::$vars[$key];
    }

    public static function setVar($key, $value) : void {
        self::$vars[$key] = $value;
    }

    /**
     * DEBUG FUNCTION
     * @return array
     */
    public static function dump() : array {
        return self::$vars;
    }
}