<?php


namespace manifest;

/**
 * Class Required
 * Represents a required module in the the projects manifest
 * @package manifest
 */
class Required
{
    protected string $_name;
    protected string $_href;
    protected string $_version;

    public function __construct(string $module_name, string $href, string $version = V_LATEST) {
        $this->_name = $module_name;
        $this->_href = $href;
        $this->_version = $version;
    }

    public function getName() : string {
        return $this->_name;
    }

    public function getHref() : string {
        return $this->_href;
    }

    public function getVersion() : string {
        return $this->_version;
    }

    public function toYaml(): array
    {
        return [
            "name"=>$this->_name,
            "href"=>$this->_href,
            "version"=>$this->_version
        ];
    }
}