<?php

namespace tasks;

use Common;
use exceptions\ManifestCheckException;
use exceptions\VariableNotDefinedException;
use JetBrains\PhpStorm\Pure;

class RequireTask extends ModuleTask
{

    protected ?string $_href;
    protected string $_version;

    #[Pure] public function __construct(string $module_name, string $href = null, string $version = V_LATEST)
    {
        $this->_href = $href;
        $this->_version = $version;
        parent::__construct($module_name);
    }

    /**
     * @throws ManifestCheckException
     */
    public function execute() : void
    {
        Common::_log(L_DEFAULT, "installing module " . $this->_module_name . " from " . $this->_href . " in version " . $this->_version);
        self::require($this->_module_name, $this->_href, $this->_version);
    }
}
