<?php


namespace tasks\composer;


use Common;
use JetBrains\PhpStorm\Pure;
use RuntimeException;

class InstallComposerTask implements \iTask
{
    #[Pure] public function __construct()
    {
        /**
         * no parent constructor call
         */
    }


    public function execute(): void
    {
        Common::_log(L_DEFAULT, "downloading composer...");
        $expected_hash = file_get_contents("https://composer.github.io/installer.sig");
        copy('https://getcomposer.org/installer', getcwd() . DIRECTORY_SEPARATOR . 'composer-setup.php');
        $actual_hash = hash_file('sha384', getcwd() . DIRECTORY_SEPARATOR . 'composer-setup.php');

        if ($expected_hash !== $actual_hash) {
            unlink(getcwd() . DIRECTORY_SEPARATOR . 'composer-setup.php');
            throw new RuntimeException("Failed downloading composer. Hash mismatch.");
        }

        Common::_log(L_DEFAULT, "installing composer...");
        echo exec("php \"" . getcwd() . DIRECTORY_SEPARATOR . "composer-setup.php\"");

        unlink(getcwd() . DIRECTORY_SEPARATOR . 'composer-setup.php');
        Common::_log(L_DEFAULT, "done composer.");
    }
}