<?php


use PHPUnit\Framework\TestCase;

/**
 * Class ColorsTest
 * @coversDefaultClass Colors
 */
class ColorsTest extends TestCase
{

    public function testGetForegroundColors(): void
    {
        $colors = Colors::getForegroundColors();
        self::assertIsArray($colors);
    }

    public function testGetBackgroundColors(): void
    {
        $colors = Colors::getBackgroundColors();
        self::assertIsArray($colors);
    }

    public function testGetColoredString(): void
    {
        $text_1 = Colors::getColoredString("test");
        self::assertIsString($text_1);

        $text_2 = Colors::getColoredString("test", "blue");
        self::assertIsString($text_2);

        $text_3 = Colors::getColoredString("test", "blue", "black");
        self::assertIsString($text_3);
    }
}
